libcamera::IPAOperationData Struct Reference

Parameters for IPA operations. More...

## Public Attributes

unsigned int | operation
| IPA protocol operation. More...
std::vector< uint32_t > | data
| Operation integer data. More...
std::vector< ControlList > | controls
| Operation controls data. More...

## Detailed Description

Parameters for IPA operations.

The IPAOperationData structure carries parameters for the IPA operations performed through the IPAInterface::processEvent() method and the IPAInterface::queueFrameAction signal.

## Member Data Documentation

## controls

libcamera::IPAOperationData::controls

Operation controls data.

The interpretation and position of different values in the array are defined by the IPA protocol.

## data

libcamera::IPAOperationData::data

Operation integer data.

The interpretation and position of different values in the array are defined by the IPA protocol.

## operation

libcamera::IPAOperationData::operation

IPA protocol operation.

The operation field describes which operation the receiver shall perform. It defines, through the IPA protocol, how the other fields of the structure are interpreted. The protocol freely assigns numerical values to operations.

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp